MIDGSMOOTH(1)

NOME
MIDGsmooth - invia dati GPS in formato MIDG a un'istanza di FlightGear

SINTASSI
MIDGsmooth --help
    | --infile nome_fileinput [opzioni]...
    | --serial nome_dispositivo --outfile nome_fileoutput [opzioni]...

DESCRIZIONE
MIDGsmooth è un'utilità che legge dati GPS in formato MIDG da un file di testo o da un dispositivo MIDG connesso alla porta seriale, li analizza e li invia a un'istanza di FlightGear per riprodurli.

OPZIONI

--help
    Mostra informazioni sull'utilizzo ed esce.

--infile nome_fileinput
    Legge dati GPS da nome_fileinput.

--serial nome_dispositivo
    Legge dati GPS dal dispositivo seriale nome_dispositivo.

--outfile nome_fileoutput
    Salva i dati recuperati dal dispositivo in nome_fileoutput.

--hertz frequenza
    Specifica la frequenza da utilizzare per inviare i dati all'istanza di FlightGear. Per impostazione predefinita, gli eventi sono inviati a una frequenza di 60 Hz.

--host nomehost
    Invia i dati all'istanza di FlightGear in esecuzione su nomehost. Se --host non è specificato, per impostazione predefinita i dati vengono inviati a localhost.

--skip-seconds secondi
    Non trasmette i primi secondi secondi di dati. Quest'opzione è ignorata quando si leggono dati GPS da un dispositivo seriale.

--broadcast
    Invia i dati del modello dei dati di volo e di controllo come pacchetti broadcast.

--fdm-port porta
    Imposta la porta a cui devono essere inviati i dati del modello dei dati di volo. Per impostazione predefinita, i dati vengono inviati alla porta 5505.

--ctrls-port porta
    Imposta la porta a cui devono essere inviati i dati di controllo. Per impostazione predefinita, i dati vengono inviati alla porta 5506.

--altitude-offset metri
    Aggiunge l'offset specificato (in metri) all'altitudine inviata a FlightGear.

STATI D'USCITA
MIDGsmooth esce con 0 se l'esecuzione ha avuto successo, con -1 se la sintassi degli argomenti della riga di comando è errata o se si verifica un errore.

VEDERE ANCHE
fgfs(1), GPSsmooth(1), UGsmooth(1)